unscoped packages cannot be private

(wzz) #1

when I want to npm publish new npm, returned publish Failed PUT 400, unscoped packages cannot be private : nimi-magicui. I’m so confused. Please help me.

36 verbose statusCode 400
37 verbose pkgid nimi-magicui
38 verbose cwd /Users/mac/Desktop/wzz/project/mini_magicui
39 verbose Darwin 17.4.0
40 verbose argv “/usr/local/bin/node” “/usr/local/bin/npm” “publish”
41 verbose node v8.13.0
42 verbose npm v6.4.1
43 error code E400
44 error unscoped packages cannot be private : nimi-magicui
45 verbose exit [ 1, true ]

(Charles Bochet) #2

I wrote a complete answer here: http://www.compulsivecoders.com/tech/npm-error-unscoped-packages-cannot-be-private/

But to sum things up:
npm publish --access public

Hope it answers your question!

1 Like
(system) closed #3

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.